[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

Public Types | Public Member Functions | List of all members
FFTWWriteRealAccessor< Real > Class Template Reference

`#include <vigra/fftw3.hxx>`

Inheritance diagram for FFTWWriteRealAccessor< Real >:

## Public Types

typedef Real | value_type
| The accessor's value type.
Public Types inherited from FFTWRealAccessor< double >
typedef double | value_type
| The accessor's value type.

## Public Member Functions

template<class ITERATOR>
void | set (value_type const &v, ITERATOR const &i) const
template<class ITERATOR, class DIFFERENCE>
void | set (value_type const &v, ITERATOR const &i, DIFFERENCE d) const
Public Member Functions inherited from FFTWRealAccessor< double >
value_type | operator() (ITERATOR const &i) const
| Read real part at iterator position.
void | set (value_type const &v, ITERATOR const &i) const
| Write real part at iterator position from a scalar.

## Detailed Description

template<class Real = double>
class vigra::FFTWWriteRealAccessor< Real >

Write a real number into a complex one. The imaginary part is set to 0.

#include <vigra/fftw3.hxx> (for FFTW 3) or
#include <vigra/fftw.hxx> (for deprecated FFTW 2)
Namespace: vigra

## Member Function Documentation

## ◆ set() [1/2]

template<class Real = double>
template<class ITERATOR>

void set | ( | value_type const & | v,
|  | ITERATOR const & | i ) const

Write real number at iterator position. Set imaginary part to 0.

## ◆ set() [2/2]

template<class Real = double>
template<class ITERATOR, class DIFFERENCE>

void set | ( | value_type const & | v,
|  | ITERATOR const & | i,
|  | DIFFERENCE | d ) const

Write real number at offset from iterator position. Set imaginary part to 0.

The documentation for this class was generated from the following file:

- vigra/fftw3.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.4